package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiControlTerm;

/**
 * 管控条件 数据层
 */
@Mapper
public interface TBusiControlTermMapper {

    TBusiControlTerm selectTBusiControlTermByGuid(String guid);

    List<TBusiControlTerm> selectTBusiControlTermList(TBusiControlTerm tBusiControlTerm);

    int insertTBusiControlTerm(TBusiControlTerm tBusiControlTerm);

    int updateTBusiControlTerm(TBusiControlTerm tBusiControlTerm);

    int deleteTBusiControlTermByGuid(String guid);

    int deleteTBusiControlTermByGuids(String[] guids);
}
